# Poco::Net

# class MailOutputStream

Library: Net
Package: Mail
Header: Poco/Net/MailStream.h

## Description

This class is used for writing E-Mail messages to a SMTP server. All occurrences of "\r\n.\r\n" are replaced with "\r\n..\r\n".

## Inheritance

Direct Base Classes: MailIOS, std::ostream

All Base Classes: MailIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### MailOutputStream

MailOutputStream(
std::ostream & ostr
);

Creates the MailOutputStream and connects it to the given input stream.

## Destructor

### ~MailOutputStream

~MailOutputStream();

Destroys the MailOutputStream.